Subject: Search for empty string uses excessive memory

From: Athena Martin <[email-masked]>
Date: Fri, 5 Apr 2024 16:16:13 -0400

I ran

  $ guix system search ""

A minute later, my desktop froze. I did it again with htop running and
saw that memory usage climbed right up to the full 32GiB in my
(swapless) machine. Right as it reached that point, the freeze recurred.

I haven't tested but it seems likely this same issue would occur with
guix search and guix home search as well. The best fix I can think of
is to refuse to search for an empty string without --force.

I looked for the following on issues.guix and found no existing bug:

empty string
empty search
guix search
system search
home search
service search
package search
""
''